package uam.patrones.arreglame.clases;

public class Alumno {

	private String matricula;
	private String nombre;
	private String primerApellido;
	private String segundoApellido;
	private Licenciatura licenciatura;
	private Beca beca;
	
	public Alumno(String matricula, String nombre, String primerApellido, 
			String segundoApellido) {
		
		this.nombre = nombre;
		this.matricula = matricula;
		this.primerApellido = primerApellido;
		this.segundoApellido = segundoApellido;
	}
	
	public Alumno(String matricula, String nombre, String primerApellido, 
			String segundoApellido, String claveLic, String nombreLic) {
		
		this.nombre = nombre;
		this.matricula = matricula;
		this.primerApellido = primerApellido;
		this.segundoApellido = segundoApellido;
		this.licenciatura = new Licenciatura();
		licenciatura.setClave(claveLic);
		licenciatura.setNombre(nombreLic);
		
	}
	
	
	public String getMatricula() {
		return matricula;
	}
	public void setMatricula(String matricula) {
		this.matricula = matricula;
	}
	public String getNombre() {
		return nombre;
	}
	public void setNombre(String nombre) {
		this.nombre = nombre;
	}
	public String getPrimerApellido() {
		return primerApellido;
	}
	public void setPrimerApellido(String primerApellido) {
		this.primerApellido = primerApellido;
	}
	public String getSegundoApellido() {
		return segundoApellido;
	}
	public void setSegundoApellido(String segundoApellido) {
		this.segundoApellido = segundoApellido;
	}
	public Licenciatura getLicenciatura() {
		return licenciatura;
	}
	public void setLicenciatura(Licenciatura licenciatura) {
		this.licenciatura = licenciatura;
	}
	public Beca getBeca() {
		return beca;
	}
	public void setBeca(Beca beca) {
		this.beca = beca;
	}
	
	
	
}
